## doc-base 0.8.4

=== Makefile ===
# vim:ts=2
# makefile for doc-base
# $Id: Makefile 75 2007-05-06 12:45:36Z robert $
#
# determine our version number
DEB_VERSION     := $(shell LC_ALL=C dpkg-parsechangelog | grep ^Version: | sed 's/^Version: *//')
DEB_DATE        := $(shell dpkg-parsechangelog | sed -n 's/^Date: *//p')
# pretty-print the date; I wish this was dynamic like the top-level makefile but oh well
DATE_EN         := $(shell LC_ALL=C     date --date="$(DEB_DATE)" '+%d %B, %Y')

bdir            := build
sdir            := $(CURDIR)
generated       := $(bdir)/install-docs \
                   $(bdir)/install-docs.8 \
                   $(bdir)/install-docs.html \
                   $(bdir)/doc-base.txt \
                   $(bdir)/doc-base.html/index.html


# build abstraction
install_file    := install -p -o root -g root -m 644
install_script  := install -p -o root -g root -m 755
install_dir     := install -d -o root -g root -m 755 
install_link    := ln -sf
compress        := gzip -9f

prefix          := /usr
sbindir         := $(prefix)/sbin
mandir          := $(prefix)/share/man/man8
sharedir        := $(prefix)/share/doc-base
perldir         := $(prefix)/share/perl5/Debian/DocBase
docdir          := $(prefix)/share/doc/doc-base
libdir          := /var/lib/doc-base
omfdir          := $(prefix)/share/omf



all: $(generated)


$(bdir):
	@echo; echo "*** Creating $@:"
	mkdir -p $@

$(bdir)/doc-base.sgml: doc-base.sgml | $(bdir)
	@echo; echo "*** Creating $@:"
	cp -f $< $@

$(bdir)/check-stamp: $(bdir)/install-docs $(bdir)/doc-base.sgml $(bdir)/version.ent
	@echo; echo "*** Creating $@:"
	PERL5LIB="perl" perl -cw $(bdir)/install-docs
	nsgmls -wall -s -E20 $(bdir)/doc-base.sgml	# check SGML syntax
	touch $@


$(bdir)/install-docs: install-docs.in | $(bdir)
	@echo; echo "*** Creating $@:"
	sed -e '/use lib.*perl/d' \
	    -e 's/#VERSION#/$(DEB_VERSION)/' \
	    < $< > $@
	chmod 755 $@

$(bdir)/install-docs.8: $(bdir)/install-docs $(bdir)/check-stamp
	@echo; echo "*** Creating $@:"
	pod2man --section=8 --center="Debian Utilities"		\
		--release="doc-base v$(DEB_VERSION)"						\
		--date="$(DATE_EN)"															\
		$< > $@ 

$(bdir)/install-docs.html: $(bdir)/install-docs $(bdir)/check-stamp
	@echo; echo "*** Creating $@:"
	pod2html --title "install-docs reference" 		\
		< $< > $@
	rm -f pod2htm*.tmp

$(bdir)/doc-base.txt: $(bdir)/doc-base.sgml $(bdir)/version.ent $(bdir)/check-stamp
	@echo; echo "*** Creating $@:"
	cd $(bdir) && debiandoc2text $(<F)

$(bdir)/doc-base.html/%: $(bdir)/doc-base.sgml $(bdir)/version.ent $(bdir)/check-stamp
	@echo; echo "*** Creating $(@D):"
	cd $(bdir) && debiandoc2html $(<F)

$(bdir)/version.ent: $(bdir)/doc-base.sgml debian/changelog | $(bdir)
	@echo; echo "*** Creating $@:"
	echo "<!ENTITY version \"$(DEB_VERSION)\">"    > $@
	echo "<!ENTITY date    \"$(DATE_EN)\">"        >> $@

clean:
	rm -rf build-stamp version.ent $(bdir)
	rm -f `find . -name "*~"`


install: $(generated)
	@echo; echo "*** Installing script and perl libraries:"
	$(install_dir)                           $(DESTDIR)$(sbindir)
	$(install_script) $(bdir)/install-docs   $(DESTDIR)$(sbindir)

	$(install_dir)                           $(DESTDIR)$(perldir)
	$(install_file) perl/Debian/DocBase/*.pm $(DESTDIR)$(perldir)
	$(install_dir)                           $(DESTDIR)$(perldir)/Programs
	$(install_file) perl/Debian/DocBase/Programs/*.pm \
	                                         $(DESTDIR)$(perldir)/Programs

	@echo; echo "*** Checking the script:"
	# validate installation correctness                                              
	PERL5LIB=$(DESTDIR)$(perldir)/../..      perl -cw $(DESTDIR)$(sbindir)/install-docs


	@echo; echo "*** Installing control files and data:"
	$(install_dir)                           $(DESTDIR)$(sharedir)
	$(install_file) data/doc-base.desc       $(DESTDIR)$(sharedir)/doc-base
	$(install_file) data/install-docs.desc   $(DESTDIR)$(sharedir)/install-docs-man


	$(install_dir)                           $(DESTDIR)$(sharedir)/data
	$(install_file) data/scrollkeeper.map    $(DESTDIR)$(sharedir)/data/


	$(install_dir)                           $(DESTDIR)$(omfdir)
	$(install_dir)                           $(DESTDIR)$(libdir)/omf
	$(install_dir)                           $(DESTDIR)$(libdir)/info
	rm -f                                    $(DESTDIR)$(omfdir)/doc-base
	$(install_link) $(libdir)/omf            $(DESTDIR)$(omfdir)/doc-base


	@echo; echo "*** Installing docs:"
	$(install_dir)                           $(DESTDIR)$(mandir)
	$(install_file) $(bdir)/install-docs.8   $(DESTDIR)$(mandir)
	$(compress)                              $(DESTDIR)$(mandir)/install-docs.8

	$(install_dir)                           $(DESTDIR)$(docdir)
	$(install_file) $(bdir)/version.ent      $(DESTDIR)$(docdir)
	$(install_file) doc-base.sgml            $(DESTDIR)$(docdir)
	$(compress)                              $(DESTDIR)$(docdir)/doc-base.sgml

	$(install_file) $(bdir)/doc-base.txt     $(DESTDIR)$(docdir)
	$(compress)                              $(DESTDIR)$(docdir)/doc-base.txt
	$(install_file) $(bdir)/install-docs.html \
   	                                       $(DESTDIR)$(docdir)

	$(install_dir)                           $(DESTDIR)$(docdir)/doc-base.html
	$(install_file) $(bdir)/doc-base.html/*  $(DESTDIR)$(docdir)/doc-base.html

.PHONY: install clean all

## doc-base 0.7.1

=== debian/changelog ===
doc-base (0.7.1) frozen unstable; urgency=low (HIGH if you have problems
    with quotes in document registration files)

  * depend on recent Perl (closes Bug#21816)
  * set umask explictly, so all files are -rw-r--r-- (closes Bug#22275)
  * quote quotes for dwww-menu files (closes grave Bug#22990)

 -- Adam P. Harris <aph@debian.org>  Mon,  1 Jun 1998 01:49:50 -0400

doc-base (0.7.0) frozen unstable; urgency=low

  * maintainer scripts: one of the shell function used '-', which was
    renamed to '_'; shell for maintainer scripts set back to /bin/sh
  * doc-base.sgml: update the FSF address
  * copyright: list myself as maintainer
  * bump standards version to 2.4.1.0 (checked)
  * add digit to version number: 0.7.x will be for hamm maintenance
    (branched); probably 0.8 will be for our documentation drafts
    including information on the Debian Document Hierarchy, the new docreg 
    file format documentation and system, and other documents; 0.9 will
    probalby contain our implementations of these new infrastructures for
    slink; and eventually it'll all be a done deal and we'll hit 1.0. 

 -- Adam P. Harris <aph@debian.org>  Sun,  3 May 1998 09:05:23 -0400

doc-base (0.6) frozen unstable; urgency=low

  * change shell on maintainer scripts to bash, since that seems to cope
    with the shell functions better (closes Bug#21359, and undoubtedly
    more reports to come until this makes it into the archive)

 -- Adam P. Harris <aph@debian.org>  Sun, 19 Apr 1998 01:54:36 -0400

doc-base (0.5) frozen unstable; urgency=low

  * fix minor problems with the new install-docs-man document id, the
    document id was misnamed install-doc-man
  * improve the maintainer scripts immensely, trying to minimize removal,
    since it's not necessary to remove a document id when replacing it
  * doc-base.sgml: update TODO list

 -- Adam P. Harris <aph@debian.org>  Fri, 17 Apr 1998 01:17:06 -0400

doc-base (0.4) frozen unstable; urgency=low

  * much better dhelp support: be sure to run 'dhelp_parse -d' before
    altering a .dhelp file, multiple <item>s in one .dhelp file, and very
    good parsing of existing .dhelp files in case more than one
    document-id is adding a files in the same directory (closes
    Bug#18808, Bug#20038, Bug#20529)
  * we now will modify even foreign .dhelp files
  * lowercase sections for dhelp (only), and remove leading 'Apps/', which
    is a workaround until we have a real, policy-specified and thought-out
    documentation hierarchy (closes Bug#20862)
  * register install-docs man page, html version
  * moved Section for our own documentation from Apps/Programming to
    Debian

 -- Adam P. Harris <aph@debian.org>  Thu, 16 Apr 1998 06:27:08 -0400

doc-base (0.3) frozen unstable; urgency=low

  * add manual page for install-docs
  * debian/rules: clarifications and cleanup
  * added frozen to distribution ("oopsie" on last version)
  * install-docs is idempotent for --remove, that is, if you try to remove
    a docid which is already removed, it exits with a warning, but not a
    non-zero exit status (closes Bug#19875, I think)

 -- Adam P. Harris <aph@debian.org>  Thu,  9 Apr 1998 20:36:00 -0400

doc-base (0.2) unstable; urgency=low

  * new maintainer
  * clarify how to call install-docs in documentation (closes Bug#20530)
  * practice what I preach in maintainer scripts
  * debian/rules: call dpkg-gencontrol with -isp
  * copyright: update FSF address
  * actively fixing rest of bugs and lack of man page, patience please

 -- Adam P. Harris <aph@debian.org>  Mon,  6 Apr 1998 07:31:21 -0400

doc-base (0.1) unstable; urgency=low

  * Initial Release.
  * Only supports registering documents to the online documentation
    systems dwww and dhelp for now.

 -- Christian Schwarz <schwarz@debian.org>  Fri, 30 Jan 1998 21:38:45 +0100

Local variables:
mode: debian-changelog
mode: auto-fill
End:

=== debian/control ===
Source: doc-base
Section: doc
Priority: optional
Maintainer: Adam P. Harris <aph@debian.org>
Standards-Version: 2.4.1.0

Package: doc-base
Depends: perl-base (>= 5.004.04-4)
Architecture: all
Description: Utilities to manage online documentation
 This package contains utilities to manage online documentation
 on a Debian system.
 .
 If you want to get additional information about doc-base please
 check out the `Debian doc-base Manual' included in this package.

=== debian/rules ===
#!/usr/bin/make -f
# rules file for doc-base
#
# I do not use debstd, debhelper, or any of that stuff.
# I believe in stripped down rules files; nothing that is not required.
# I believe in readability through abstraction.

package		:= doc-base

# directory abstraction
prefix		:= debian/tmp
sbindir		:= $(prefix)/usr/sbin
mandir		:= $(prefix)/usr/man
docdir		:= $(prefix)/usr/doc/$(package)
sharedir	:= $(prefix)/usr/share/$(package)
vardir		:= $(prefix)/var/lib/$(package)

# build abstraction
install_file	:= install -o root -g root -m 644
install_script	:= install -o root -g root -m 755
install_program	:= install -o root -g root -m 755 --strip
make_directory	:= install -d -o root -g root -m 755
compress	:= gzip -9f

# determine our version number
DEB_VERSION	:= $(shell head -1 debian/changelog | cut '-d ' -f 2 | sed 's/[()]//g')

build:
	$(checkdir)
	perl -cw install-docs		# check perl script syntax
	nsgmls -gues doc-base.sgml	# check SGML syntax
	debiandoc2html doc-base.sgml
	debiandoc2text doc-base.sgml
	pod2man --section=8 --center="Debian Utilities"		\
		--release="doc-base v$(DEB_VERSION)"		\
		install-docs > install-docs.8
	pod2html --title "install-docs reference" 		\
		< install-docs > install-docs.html
	touch build

clean:
	$(checkdir)
	rm -f build
	rm -rf doc-base.html doc-base.text* install-docs.8
	rm -f `find . -name "*~"`
	rm -rf $(prefix) debian/files* core debian/substvars

binary-indep:	checkroot build
	$(checkdir)
	rm -rf $(prefix)
	$(make_directory) $(prefix)/DEBIAN
	$(make_directory) $(docdir) $(sbindir) $(sharedir) $(mandir)/man8
	$(make_directory) $(vardir)/info/
	$(install_script) install-docs $(sbindir)/
	$(install_file) doc-base.text doc-base.sgml $(docdir)/
	$(install_file) doc-base.desc $(sharedir)/doc-base
	$(make_directory) $(docdir)/doc-base.html
	$(install_file) doc-base.html/* $(docdir)/doc-base.html/
	$(install_file) install-docs.8 $(mandir)/man8/
	$(install_file) install-docs.html $(docdir)/
	$(install_file) install-docs.desc $(sharedir)/install-docs-man

	$(install_file) debian/changelog debian/copyright $(docdir)/

	# make sure control files are good
	sh -n debian/preinst
	sh -n debian/postinst
	sh -n debian/prerm
	# install control files
	$(install_script) debian/preinst debian/postinst debian/prerm \
		$(prefix)/DEBIAN/

	# compress docs (policy)	
	find $(mandir) -type f | xargs $(compress)
	find $(docdir) -type f \
	    \( -size +4k -or -name "changelog*" \) \
            ! -name "*.htm" ! -name "*.html" ! -name "*.gif" \
            ! -name "copyright" | xargs $(compress)

	dpkg-gencontrol -isp
	dpkg --build $(prefix) ..

binary-arch:	checkroot build
	$(checkdir)
# There are no architecture-dependent files to be uploaded
# generated by this package.  If there were any they would be
# made here.

define checkdir
	test -f debian/rules
endef

# Below here is fairly generic really

binary:		binary-indep binary-arch

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot

## doc-base 0.7.2

=== debian/changelog ===
doc-base (0.7.2) frozen unstable; urgency=low

  * maintainer name change
  * debian/rules: more robust way to interact with changelog, which is
    what I use on all my other packages
  * install-docs: fix some glitches in the POD output
  * doc-base.sgml: minor typo in documentation fixed (closes Bug#26530)
  * debian/control: suggests 'dwww | dhelp', without which the package
    currently isn't much good (closes Bug#31302)
  * no code changes

 -- Adam Di Carlo <aph@debian.org>  Sat,  2 Jan 1999 04:38:30 -0500

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: doc-base
 Section: doc
 Priority: optional
-Maintainer: Adam P. Harris <aph@debian.org>
+Maintainer: Adam Di Carlo <aph@debian.org>
 Standards-Version: 2.4.1.0
 
 Package: doc-base
 Depends: perl-base (>= 5.004.04-4)
+Suggests: dhelp | dwww
 Architecture: all
 Description: Utilities to manage online documentation
  This package contains utilities to manage online documentation

=== debian/rules ===
--- 
+++ 
@@ -23,7 +23,7 @@
 compress	:= gzip -9f
 
 # determine our version number
-DEB_VERSION	:= $(shell head -1 debian/changelog | cut '-d ' -f 2 | sed 's/[()]//g')
+DEB_VERSION	:= $(shell LC_ALL=C dpkg-parsechangelog | grep ^Version: | sed 's/^Version: *//')
 
 build:
 	$(checkdir)

## doc-base 0.7.8

=== debian/changelog ===
doc-base (0.7.8) frozen unstable; urgency=low

  * small changes for bugfixing, no new features, should go in potato
  * install-docs: if open of control file fails, look for file in
    /usr/share/doc-base/ (closes: Bug#53555)
  * update to Policy standards 3.1.1 -- added Build-Depends-Indep
    (closes: Bug#53261)
  * tweak preinst wording as it removes old .dhelp files 
    (closes: Bug#47010)
  * doc-base.sgml: use version.ent for dynamic versioning (shipped too);
    SGML aesthetics and tagging

 -- Adam Di Carlo <aph@debian.org>  Tue,  8 Feb 2000 20:07:16 -0500

doc-base (0.7.7) unstable; urgency=low

  * really update Policy standards to 3.0.1
  * dhelp now has a different program, dhelp_parse_fsstnd, to deal with
    /usr/doc vs /usr/share/doc, so use it
  * debian/control: conflict with dhelp (<< 0.3.14)
  * prerm, postinst: implement tech committe solution on /usr/doc symlink

 -- Adam Di Carlo <aph@debian.org>  Sat, 25 Sep 1999 16:34:11 -0400

doc-base (0.7.6) unstable; urgency=low

  * add perl5 depends (closes: Bug#44623)

 -- Adam Di Carlo <aph@debian.org>  Fri, 10 Sep 1999 21:37:01 -0400

doc-base (0.7.5) unstable; urgency=low

  * update Policy standards to 3.0.1
  * debian/rules: move documentation area back to /usr/doc for now;
    clean is a bit cleaner
  * maintainer scripts: simplify a bit; call 'install-docs -r' from
    preinst for upgrade from 0.7.4 (dir move) to avoid the dpkg warning
    (closes Bug#41785, #41161, #41326)
  * install-docs: prior to installing new docreg file, remove any already
    installed dhelp files -- this will help with the /usr/doc ->
    /usr/share/doc transition, although it won't suppress the dpkg
    warning, since 'install-docs -i' runs *after* the warning
  * doc-base.sgml: talk about how to avoid the dpkg warning about
    'Directory not empty' due to .dhelp file left around during upgrade;
    the solution in short is to run 'install-docs -r' during 'upgrade' in
    prerm

 -- Adam Di Carlo <aph@debian.org>  Sat, 14 Aug 1999 21:32:55 -0400

doc-base (0.7.4) unstable; urgency=low

  * install-docs: skip dhelp when directory != /usr/doc or 
    /usr/share/doc (closes Bug#32034)
  * changes for Policy 3.0.0 (no /usr/doc compat symlinks)
  * debian/control: removed perl-base dependancy -- it's required!
    (thanks to Raphael Hertzog)

 -- Adam Di Carlo <aph@debian.org>  Sat, 10 Jul 1999 21:45:41 -0400

doc-base (0.7.3) unstable; urgency=low

  * doc-base.sgml: fix typo (closes Bug#35986)
  * install-docs: only warn about unknown formats if verbose ('-v') is in
    effect (closes Bug#33509, Bug#35947, and hopefully quells the recent
    outcry on debian-devel)
  * debian/rules: debiandoc2text now has a default extension of .txt,
    which is better anyway, so use that

 -- Adam Di Carlo <aph@debian.org>  Thu, 13 May 1999 01:25:06 -0400

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,13 @@
 Section: doc
 Priority: optional
 Maintainer: Adam Di Carlo <aph@debian.org>
-Standards-Version: 2.4.1.0
+Standards-Version: 3.1.1
+Build-Depends-Indep: debiandoc-sgml (>= 1.1.37)
 
 Package: doc-base
-Depends: perl-base (>= 5.004.04-4)
+Depends: perl5
 Suggests: dhelp | dwww
+Conflicts: dhelp (<< 0.3.14)
 Architecture: all
 Description: Utilities to manage online documentation
  This package contains utilities to manage online documentation

=== debian/rules ===
--- 
+++ 
@@ -10,8 +10,8 @@
 # directory abstraction
 prefix		:= debian/tmp
 sbindir		:= $(prefix)/usr/sbin
-mandir		:= $(prefix)/usr/man
-docdir		:= $(prefix)/usr/doc/$(package)
+mandir		:= $(prefix)/usr/share/man
+docdir		:= $(prefix)/usr/share/doc/$(package)
 sharedir	:= $(prefix)/usr/share/$(package)
 vardir		:= $(prefix)/var/lib/$(package)
 
@@ -28,7 +28,10 @@
 build:
 	$(checkdir)
 	perl -cw install-docs		# check perl script syntax
-	nsgmls -gues doc-base.sgml	# check SGML syntax
+	rm -f version.ent
+	echo "<!entity version \"$(DEB_VERSION)\">" >> version.ent
+	echo "<!entity date    \"$(DATE)\">"        >> version.ent
+	nsgmls -wall -s -E20 doc-base.sgml	# check SGML syntax
 	debiandoc2html doc-base.sgml
 	debiandoc2text doc-base.sgml
 	pod2man --section=8 --center="Debian Utilities"		\
@@ -41,7 +44,8 @@
 clean:
 	$(checkdir)
 	rm -f build
-	rm -rf doc-base.html doc-base.text* install-docs.8
+	rm -rf doc-base.html doc-base.txt* install-docs.8 install-docs.html
+	rm -f pod2html* version.ent
 	rm -f `find . -name "*~"`
 	rm -rf $(prefix) debian/files* core debian/substvars
 
@@ -52,7 +56,7 @@
 	$(make_directory) $(docdir) $(sbindir) $(sharedir) $(mandir)/man8
 	$(make_directory) $(vardir)/info/
 	$(install_script) install-docs $(sbindir)/
-	$(install_file) doc-base.text doc-base.sgml $(docdir)/
+	$(install_file) doc-base.txt doc-base.sgml version.ent $(docdir)/
 	$(install_file) doc-base.desc $(sharedir)/doc-base
 	$(make_directory) $(docdir)/doc-base.html
 	$(install_file) doc-base.html/* $(docdir)/doc-base.html/

## doc-base 0.7.11-0.woody1

=== debian/changelog ===
doc-base (0.7.11-0.woody1) stable; urgency=low

  * Non-maintainer upload by the release team.
  * Backport the following patch by Steve Langasek
    and Colin Watson to woody:
  * Fix install-docs to not require perl's File::Basename, so that it
    works even when perl is unconfigured.  See #278495.

 -- Frank Lichtenheld <djpig@debian.org>  Sat, 14 May 2005 16:06:13 +0200

doc-base (0.7.11) unstable; urgency=low

  * incorporate NMU (closes: #111703, #114657)
  * strengthen the wording of the prerm case -- for people getting 
      dpkg: warning - unable to delete old file `directory': Directory not empty
    due to old .dhelp files, please read section 2.4
    (closes: #59850)
  * some other minor updates in the documentation
  * debian/control: upgrade to standards version to 3.5.6, no changes
    needed 

    - Note that the stipulation that programs cannot reference files in
      /usr/share/doc [13.3] is not honored because that is required by
      dhelp; complaints about that should be directed towards dhelp.

 -- Adam Di Carlo <aph@debian.org>  Sun, 21 Oct 2001 01:38:04 -0400

doc-base (0.7.10.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Quote control file names for regexps (closes: #111703).

 -- Colin Watson <cjwatson@debian.org>  Sat,  6 Oct 2001 13:06:59 +0100

doc-base (0.7.10) unstable; urgency=low

  * clarify wording when unregistering documentation
  * postrm works better when it's actually installed into the deb, duh
    really closes: #101252
  
 -- Adam Di Carlo <aph@debian.org>  Mon, 30 Jul 2001 02:11:12 -0400

doc-base (0.7.9) unstable; urgency=low

  * process doc-base files present already at configure time
    closes: #39006
  * conversely, remove all our files (nicely) at remove time, and purge
    /var/lib/doc-base at purge time
    closes: #101252
  * get our perl depends right, using dh_perl (required build-depends on
    debhelper)
    closes: #67171
  * fix a minor usr/doc vs usr/share/doc problem in the man page
    closes: #81126
  * fix for new license location in copyright file
  * in the documentation, we weren't noting the date properly based on the
    Debian changelogs
  * fixed a while ago:
    closes: #62230

 -- Adam Di Carlo <aph@debian.org>  Mon, 30 Jul 2001 01:56:07 -0400

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,11 @@
 Section: doc
 Priority: optional
 Maintainer: Adam Di Carlo <aph@debian.org>
-Standards-Version: 3.1.1
-Build-Depends-Indep: debiandoc-sgml (>= 1.1.37)
+Standards-Version: 3.5.6
+Build-Depends-Indep: debiandoc-sgml (>= 1.1.37), debhelper
 
 Package: doc-base
-Depends: perl5
+Depends: ${perl:Depends}
 Suggests: dhelp | dwww
 Conflicts: dhelp (<< 0.3.14)
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -24,13 +24,16 @@
 
 # determine our version number
 DEB_VERSION	:= $(shell LC_ALL=C dpkg-parsechangelog | grep ^Version: | sed 's/^Version: *//')
+DEB_DATE	:= $(shell dpkg-parsechangelog | sed -n 's/^Date: *//p')
+# pretty-print the date; I wish this was dynamic like the top-level makefile but oh well
+DATE_EN		:= $(shell LC_ALL=C     date --date="$(DEB_DATE)" '+%d %B, %Y')
 
 build:
 	$(checkdir)
 	perl -cw install-docs		# check perl script syntax
 	rm -f version.ent
 	echo "<!entity version \"$(DEB_VERSION)\">" >> version.ent
-	echo "<!entity date    \"$(DATE)\">"        >> version.ent
+	echo "<!entity date    \"$(DATE_EN)\">"        >> version.ent
 	nsgmls -wall -s -E20 doc-base.sgml	# check SGML syntax
 	debiandoc2html doc-base.sgml
 	debiandoc2text doc-base.sgml
@@ -70,8 +73,9 @@
 	sh -n debian/preinst
 	sh -n debian/postinst
 	sh -n debian/prerm
+	sh -n debian/postrm
 	# install control files
-	$(install_script) debian/preinst debian/postinst debian/prerm \
+	$(install_script) debian/preinst debian/postinst debian/prerm debian/postrm \
 		$(prefix)/DEBIAN/
 
 	# compress docs (policy)	
@@ -81,6 +85,7 @@
             ! -name "*.htm" ! -name "*.html" ! -name "*.gif" \
             ! -name "copyright" | xargs $(compress)
 
+	dh_perl
 	dpkg-gencontrol -isp
 	dpkg --build $(prefix) ..

## doc-base 0.7.18-0.1

=== debian/changelog ===
doc-base (0.7.18-0.1) unstable; urgency=high

  * Non-maintainer upload.
  * High-urgency upload for sarge-targetted RC bugfix
  * Fix install-docs to not require perl's File::Basename, so that it
    works even when perl is unconfigured.  Thanks to Colin Watson for
    the patch.  Closes: #278495.

 -- Steve Langasek <vorlon@debian.org>  Thu, 12 May 2005 17:25:15 -0700

doc-base (0.7.18) unstable; urgency=low

  * postinst: don't die if /usr/lib/menu doesn't exist; closes: #186707

 -- Adam Di Carlo <aph@debian.org>  Sun, 30 Mar 2003 12:14:52 -0500

doc-base (0.7.17) unstable; urgency=low

  * new dwww changes: no longer produce files under /usr/lib/menu;
    obsoletes and closes: #153242; conflict with dwww < 1.9.0
  * on upgrade, remove the files /usr/lib/menu/doc-base-*
  * postinst should use stderr, not stdout
  * rewrite the description/synopsis
  * policy compliance updated to 3.5.9, no changes required
  * preinst: don't babble about removing dhelp files unless they are
    really there; let dhelp_parse_fsstnd fail if it wants to

 -- Adam Di Carlo <aph@debian.org>  Sun, 23 Mar 2003 16:28:15 -0500

doc-base (0.7.16) unstable; urgency=low

  * fix a /usr/doc problem in preinst; closes: #183491

 -- Adam Di Carlo <aph@debian.org>  Fri,  7 Mar 2003 13:53:18 -0500

doc-base (0.7.15) unstable; urgency=low

  * attempting to flush the easy bugs before the major rewrite...
  
  * don't set /usr/doc symlink, in fact, remove it in preinst if it is there
  * add #DEBHELPER# areas in maintainer scripts (thanks, linda)
  * postinst: don't variablize /usr/bin/update-menus, it confuses lintian
  * install lintian overrides for:
    doc-base: maintainer-script-does-not-check-for-existence-of-installdocs postinst
    doc-base: preinst-calls-installdocs
  * docs: update (c) date; s/command -v/which/; closes: #169115
  * install-docs: strip trailing space in fields that we read; 
    closes: #86040 and part of #60981
  * install-docs: improve the error message when we fail writing a dhelp
    file; closes: #111620
  * Section is now a required field, otherwise, we create invalid menu
    files; closes: #112450
  * doc-base.sgml: document document and format fields, indicating which
    fields are required; closes: #63822, #151945
  * install-docs: POD documentation improvements
  * postinst: don't create /usr/doc symlink

 -- Adam Di Carlo <aph@debian.org>  Sun,  2 Mar 2003 22:17:55 -0500

doc-base (0.7.14) unstable; urgency=low

  * fix a bug introduced in last version, thanks to bug hunting by 
    David Kimdon; closes: #171202
  * dhelp registration was busted in 0.7.13, so if we're upgrading from
    that version, take the time to reregister all docreg files

 -- Adam Di Carlo <aph@debian.org>  Sun,  1 Dec 2002 17:30:05 -0500

doc-base (0.7.13) unstable; urgency=low

  * documentation corrections and updates from Chris Tillman;
    closes: #130054
  * add --no-update-menus switch for more efficient bulk invocation, and
    rewrite postinst to use that, so we end up calling update-menus only
    once; closes: #114886
  * postinst: don't re-register all doc-base files if they don't need
    re-registering
  * install-docs: less cryptic arg processing warnings
  * if you want to re-register all doc-base files, just purge and install
    the package; closes: #97009
  * remove old FSSTD stuff in documentation; closes: #146226
  * remove old FSSTD stuff in dhelp support; closes: #127985

 -- Adam Di Carlo <aph@debian.org>  Tue, 26 Nov 2002 14:25:40 -0500

doc-base (0.7.12) unstable; urgency=low

  * deal with problems when locale is UTF-8, patch from Drew Parsons
    closes: #158624, #163188, #165312
  * embarrassing: doc-base's own doc-base file was a bit wrong
    closes: #137514
  * slight postinst message change

  * note: many more changes coming; I'm just trying to close any easy and
    gratuitous bugs here while I'm working on the redesign

 -- Adam Di Carlo <aph@debian.org>  Mon, 25 Nov 2002 13:36:24 -0500

=== debian/control ===
Source: doc-base
Section: doc
Priority: optional
Maintainer: Adam Di Carlo <aph@debian.org>
Standards-Version: 3.5.9
Build-Depends-Indep: debiandoc-sgml (>= 1.1.37), debhelper

Package: doc-base
Depends: ${perl:Depends}
Suggests: dhelp | dwww
Conflicts: dhelp (<< 0.3.14), dwww (<< 1.9.0)
Architecture: all
Description: utilities to manage online documentation
 This package contains utilities to manage documentation installed on
 a Debian system.  It contains a database of document metadata.
 Various third-party systems such as 'dwww', 'dhelp' and 'doc-central'
 use this data to provide a catalog of available documentation.
 .
 If you want to get additional information about 'doc-base' please
 consult the `Debian doc-base Manual' included in this package.

=== debian/rules ===
--- 
+++ 
@@ -14,6 +14,7 @@
 docdir		:= $(prefix)/usr/share/doc/$(package)
 sharedir	:= $(prefix)/usr/share/$(package)
 vardir		:= $(prefix)/var/lib/$(package)
+lintiandir	:= $(prefix)/usr/share/lintian/overrides
 
 # build abstraction
 install_file	:= install -o root -g root -m 644
@@ -57,7 +58,7 @@
 	rm -rf $(prefix)
 	$(make_directory) $(prefix)/DEBIAN
 	$(make_directory) $(docdir) $(sbindir) $(sharedir) $(mandir)/man8
-	$(make_directory) $(vardir)/info/
+	$(make_directory) $(vardir)/info/ $(lintiandir)
 	$(install_script) install-docs $(sbindir)/
 	$(install_file) doc-base.txt doc-base.sgml version.ent $(docdir)/
 	$(install_file) doc-base.desc $(sharedir)/doc-base
@@ -66,19 +67,19 @@
 	$(install_file) install-docs.8 $(mandir)/man8/
 	$(install_file) install-docs.html $(docdir)/
 	$(install_file) install-docs.desc $(sharedir)/install-docs-man
+	$(install_file) debian/changelog debian/copyright $(docdir)/
+	$(install_file) debian/lintian-overrides $(lintiandir)/$(package)
 
-	$(install_file) debian/changelog debian/copyright $(docdir)/
-
-	# make sure control files are good
+#	 make sure control files are good
 	sh -n debian/preinst
 	sh -n debian/postinst
 	sh -n debian/prerm
 	sh -n debian/postrm
-	# install control files
+#	 install control files
 	$(install_script) debian/preinst debian/postinst debian/prerm debian/postrm \
 		$(prefix)/DEBIAN/
 
-	# compress docs (policy)	
+#	 compress docs (policy)	
 	find $(mandir) -type f | xargs $(compress)
 	find $(docdir) -type f \
 	    \( -size +4k -or -name "changelog*" \) \

## doc-base 0.7.20ubuntu5

=== debian/changelog ===
doc-base (0.7.20ubuntu5) warty; urgency=low

  * Discard output from scrollkeeper-update.

 -- Colin Watson <cjwatson@flatline.org.uk>  Tue, 10 Aug 2004 13:02:10 +0100

doc-base (0.7.20ubuntu4) warty; urgency=low

  * Fix actual depends since it seems that perl:Depends is busted.

 -- Thom May <thom@planetarytramp.net>  Thu, 22 Jul 2004 14:44:38 +0100

doc-base (0.7.20ubuntu3) warty; urgency=low

  * Fix build depends

 -- Thom May <thom@planetarytramp.net>  Mon, 19 Jul 2004 20:19:14 +0100

doc-base (0.7.20ubuntu2) warty; urgency=low

  * Ensure that strings are UTF-8 before writing them to an xml file
  * Depend: on scrollkeeper

 -- Thom May <thom@planetarytramp.net>  Mon, 19 Jul 2004 18:39:15 +0100

doc-base (0.7.20ubuntu1) warty; urgency=low

  * Ensure that all doc-base files are re-registered. (Closes: #333)
  * Deal better with having directories in /usr/share/doc-base

 -- Thom May <thom@planetarytramp.net>  Mon, 19 Jul 2004 15:42:53 +0100

doc-base (0.7.19) warty; urgency=low

  * Implement scrollkeeper support

 -- Thom May <thom@debian.org>  Fri, 25 Jun 2004 13:53:50 +0100

## doc-base 0.7.20ubuntu6

=== debian/changelog ===
doc-base (0.7.20ubuntu6) hoary; urgency=low

  * Properly convert &

 -- Thom May <thom@ubuntu.com>  Tue, 15 Mar 2005 15:42:07 +0000

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,10 @@
 Priority: optional
 Maintainer: Adam Di Carlo <aph@debian.org>
 Standards-Version: 3.5.9
-Build-Depends-Indep: debiandoc-sgml (>= 1.1.37), debhelper
+Build-Depends-Indep: debiandoc-sgml (>= 1.1.37), debhelper, libunicode-string-perl
 
 Package: doc-base
-Depends: ${perl:Depends}
+Depends: ${perl:Depends}, scrollkeeper, libunicode-string-perl
 Suggests: dhelp | dwww
 Conflicts: dhelp (<< 0.3.14), dwww (<< 1.9.0)
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -62,6 +62,8 @@
 	$(install_script) install-docs $(sbindir)/
 	$(install_file) doc-base.txt doc-base.sgml version.ent $(docdir)/
 	$(install_file) doc-base.desc $(sharedir)/doc-base
+	$(make_directory) $(sharedir)/data
+	$(install_file) scrollkeeper.map $(sharedir)/data/
 	$(make_directory) $(docdir)/doc-base.html
 	$(install_file) doc-base.html/* $(docdir)/doc-base.html/
 	$(install_file) install-docs.8 $(mandir)/man8/

## doc-base 0.7.20ubuntu7

=== debian/changelog ===
doc-base (0.7.20ubuntu7) breezy; urgency=low

  * debian/postinst: Fix warning with new findutils.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 10 Jun 2005 18:17:43 +0100

## doc-base 0.7.21

=== debian/changelog ===
doc-base (0.7.21) unstable; urgency=low

  * doc-base.sgml:
    + bless a few documentation formats: PDF, PostScript, Info, and DVI,
      which are already often used in the doc-base files
    + the `Index' field is required for the Info format.
  * install-docs:
    + support the above mentioned formats
    + warn if info format lacks the `Index' field.
  * install-docs: Some fixes for dhelp support:
    + when registering the doc files, don't remove the old .dhelp file until
      it's actually read and parsed. This partially fixes Bug#204195 (the full
      fix would probably require not removing .dhelp files when doc-base documents
      are unregistered)
    + don't HTML-encode entries already read from .dhelp file
    + made 'howto' and 'faq' section names  uppercase.
  * debian/postinst: Reregister all the doc-base files.

 -- Robert Luberda <robert@debian.org>  Sun, 23 Apr 2006 17:48:08 +0200

doc-base (0.7.20) unstable; urgency=low

  * doc-base.sgml:
    + document common practice that value of `Files' field is a space
      separated list of filenames or glob patterns
    + also explicitly document the meaning of lines starting with two
      or more spaces
    + add the missing word (closes: #289448)
  * install-docs:
    + encode HTML special characters when generating the .dhelp files
      (closes: #114877)
    + correctly handle the verbatim text and blank line for the .dhelp files
    + warn if files referred by the doc-base files does not exist.
  * debian/postinst: Reregister all the doc-base files because of the above
    install-docs changes.
  * Remove ancient stuff from postinst & prerm scripts, remove preinst
    entirely.
  * Use `which' instead of`command -v' in the scripts (closes: #292967).
  * debian/copyright: update.
  * debian/control: suggest doc-central as an alternative to dhelp or dwww.
  * Ack NMU (closes: #278495).

 -- Robert Luberda <robert@debian.org>  Sun,  2 Apr 2006 14:26:47 +0200

doc-base (0.7.19) unstable; urgency=low

  * New maintainer (closes: #358436).
  * debian/*: Switch build-system do debhelper v5.
  * debian/postinst: Reorder arguments to invocation of find(1) command
    (closes: #309516).

 -- Robert Luberda <robert@debian.org>  Tue, 28 Mar 2006 19:58:06 +0200

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: doc-base
 Section: doc
 Priority: optional
-Maintainer: Adam Di Carlo <aph@debian.org>
+Maintainer: Robert Luberda <robert@debian.org>
 Standards-Version: 3.5.9
-Build-Depends-Indep: debiandoc-sgml (>= 1.1.37), debhelper, libunicode-string-perl
+Build-Depends-Indep: debiandoc-sgml (>= 1.1.37), debhelper (>= 5.0.26)
 
 Package: doc-base
-Depends: ${perl:Depends}, scrollkeeper, libunicode-string-perl
-Suggests: dhelp | dwww
+Depends: ${perl:Depends}
+Suggests: dhelp | dwww | doc-central
 Conflicts: dhelp (<< 0.3.14), dwww (<< 1.9.0)
 Architecture: all
 Description: utilities to manage online documentation

=== debian/rules ===
#!/usr/bin/make -f
# rules file for doc-base
#
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
package		:= doc-base

# directory abstraction
prefix		:= debian/$(package)
sbindir		:= $(prefix)/usr/sbin
sharedir	:= $(prefix)/usr/share/$(package)
lintiandir	:= $(prefix)/usr/share/lintian/overrides

# build abstraction
install_file	:= install -o root -g root -m 644
install_script	:= install -o root -g root -m 755

# determine our version number
DEB_VERSION	:= $(shell LC_ALL=C dpkg-parsechangelog | grep ^Version: | sed 's/^Version: *//')
DEB_DATE	:= $(shell dpkg-parsechangelog | sed -n 's/^Date: *//p')
# pretty-print the date; I wish this was dynamic like the top-level makefile but oh well
DATE_EN		:= $(shell LC_ALL=C     date --date="$(DEB_DATE)" '+%d %B, %Y')

build: build-stamp
build-stamp:
	dh_testdir
	
	perl -cw install-docs		# check perl script syntax
	rm -f version.ent
	echo "<!entity version \"$(DEB_VERSION)\">" >> version.ent
	echo "<!entity date    \"$(DATE_EN)\">"        >> version.ent
	nsgmls -wall -s -E20 doc-base.sgml	# check SGML syntax
	debiandoc2html doc-base.sgml
	debiandoc2text doc-base.sgml
	pod2man --section=8 --center="Debian Utilities"		\
		--release="doc-base v$(DEB_VERSION)"		\
		install-docs > install-docs.8
	pod2html --title "install-docs reference" 		\
		< install-docs > install-docs.html
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	rm -rf doc-base.html doc-base.txt* install-docs.8 install-docs.html
	rm -f pod2htm*.tmp version.ent
	rm -f `find . -name "*~"`
	dh_clean



install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	$(install_script) install-docs $(sbindir)/
	$(install_file) doc-base.desc $(sharedir)/doc-base
	$(install_file) install-docs.desc $(sharedir)/install-docs-man
	$(install_file) debian/lintian-overrides $(lintiandir)/$(package)

	

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_installexamples
#	dh_installmenu
#	dh_installdebconf
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installcatalogs
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
#	dh_undocumented
	dh_installman install-docs.8
	dh_link
	dh_compress
	dh_fixperms
	dh_perl
#	dh_python
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture-dependent files here.
binary-arch: build install
# We have nothing to do by default.

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## doc-base 0.7.21ubuntu1

=== debian/changelog ===
doc-base (0.7.21ubuntu1) edgy; urgency=low

  * Resynchronise with Debian.
  * Use the HTML-encoding function written for dhelp support rather than our
    own, which encoded < and > incorrectly.
  * Encode characters outside ASCII as numeric character entities rather
    than outputting them as UTF-8; with a little care, this allows us to
    avoid the use of Unicode::String. (install-docs is used
    opportunistically by maintainer scripts without a dependency, so it must
    behave as if it were Essential and work correctly when unconfigured.)
  * Write OMF files even if they already exist.
  * Fix typo in scrollkeeper.map ("Appls/Graphics" -> "Apps/Graphics").

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 10 Jul 2006 14:33:40 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends-Indep: debiandoc-sgml (>= 1.1.37), debhelper (>= 5.0.26)
 
 Package: doc-base
-Depends: ${perl:Depends}
+Depends: ${perl:Depends}, scrollkeeper
 Suggests: dhelp | dwww | doc-central
 Conflicts: dhelp (<< 0.3.14), dwww (<< 1.9.0)
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -59,6 +59,7 @@
 	$(install_script) install-docs $(sbindir)/
 	$(install_file) doc-base.desc $(sharedir)/doc-base
 	$(install_file) install-docs.desc $(sharedir)/install-docs-man
+	$(install_file) scrollkeeper.map $(sharedir)/data/
 	$(install_file) debian/lintian-overrides $(lintiandir)/$(package)

## doc-base 0.7.21ubuntu2

=== debian/changelog ===
doc-base (0.7.21ubuntu2) feisty; urgency=low

  * debian/control: Update maintainer fields according to debian-
    maintainer-field spec.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 22 Feb 2007 13:29:26 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: doc-base
 Section: doc
 Priority: optional
-Maintainer: Robert Luberda <robert@debian.org>
+Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Robert Luberda <robert@debian.org>
 Standards-Version: 3.5.9
 Build-Depends-Indep: debiandoc-sgml (>= 1.1.37), debhelper (>= 5.0.26)

## doc-base 0.8.4

=== debian/changelog ===
doc-base (0.8.4) unstable; urgency=low

  * Split install-docs into modules to make the code more manageable.
  * Try to avoid bugs like #278495: if our modules can't be loaded when
    (de)registering documentation files, create special flag file and
    reregister all the documents after install-docs is usable again.
  * Add support for (de)registering multiple documents in one install-docs
    invokation (closes: #114692).
  * Add --check/-c option to install-docs (closes: #35895), also add --rootdir
    option.
  * Remove `Registered-to-XXX' statuses, remove *.list files, deprecate the
    -L/--listfiles option. Names of the generated files are now keep in
    the status file in `Scrollkeeper-omf-files' and `Dhelp-files'  fields.
  * Change semantics of -r/--remove option: its arguments should be the names
    of previously installed doc-base files, and not the documents IDs. Still
    support the old semantics for backward compatibility.
  * Introduce -I/--install-all, -R/--remove-all, -d/--debug, -h/--help options.

  * Change the build system, create Makefile and let it do all the work.

  * doc-base.sgml:
    + Update outuput of --status, remove reference to --listfiles.
    + Add chapter about checking syntax of control files.
    + Update syntax of --remove option.

  * Dhelp support:
    + Pass a list of all registered files to dhelp (closes: #128493).
    + Create dhelp files only in top-level documentation dirs
      (i.e. /usr/share/doc/$package instead of /u/s/d/$package/something).
      According to dhelp's documentation this is the right thing to do.
      Also this should avoid problems with symlinks like #21678.
    + Add a special `x-doc-base-id' tag to generated dhelp files to make it
      possible to distinguish items in the dhelp files. When installing new
      documents existing files are no longer overwritten (closes: #204195),
      but on the other hand on documents removal the dhelp files may not be
      removed, which possibly reintroduces bugs like #59850.
    + Don't call dhelp_parse {-d,-a} on files that weren't changed.

  * Scrollkeeper support:
    + Fix broken non-empty directories check.
    + Save generated series id in `Scrollkeeper-sid' status field and use it
      for following registrations of the same document.
    + Call scrollkeeper-update only once in each invokation of install-docs.

  * Dwww support:
    + skip running update-menus if dwww package doesn't seem to be installed.

 -- Robert Luberda <robert@debian.org>  Sun, 06 May 2007 15:22:38 +0200

doc-base (0.8.3) unstable; urgency=low

  * prerm: Oops, the first letter from the `else' word went somehow 
    missing (closes: #419045).

 -- Robert Luberda <robert@debian.org>  Fri, 13 Apr 2007 19:40:06 +0200

doc-base (0.8.2) unstable; urgency=low

  * install-docs: yet another typo fixed.

 -- Robert Luberda <robert@debian.org>  Thu, 12 Apr 2007 21:40:07 +0200

doc-base (0.8.1) unstable; urgency=low

  * Fix a typo that cuased broken omf files being generated in some cases 
    (closes: #418861).

 -- Robert Luberda <robert@debian.org>  Thu, 12 Apr 2007 18:49:39 +0200

doc-base (0.8.0) unstable; urgency=low

  * Merge the scrollkeeper stuff from Ubuntu 0.7.21ubuntu2 (closes: #418412)
    with the following changes:
    + set omf dir to /var/lib/doc-base/omf and make it link from
       /usr/share/omf/doc-base;
    + try to register more formats in addition to html, both khelpcenter and
      yelp can handle them via external applications. Thanks to Sam Morris
      <sam+robots.org.uk> for the suggestion;
    + suggest yelp | khelpcenter as scrollkeeper browsers;
    + don't run scrollkeeper-update if --no-update-menus was passed to
      install-docs.

  * Improve the doc-base manual:
    + enhance the document layout, add some cross references;
    + remove the paragraph about automatic conversions between formats, it's
      not true, and won't be soon (unless someone provides me patch for this);
    + put an example of PDF and other supported formats (closes: #409121);
    + clarify allowable shell glob patterns (closes: #392587);
    + mention that the registered files should be located under /usr/share/doc
      hierarchy (closes: #333648);
    + review the TODO list, add some items I'd like to implement shortly.

  * postinst/postrm scripts:
    + do proper quoting of file names (closes: #395824);
    + reinstall_docs removes installed docs before re-registering them;
    + make the handling docs code from postrm match the postinst code;

  * install-docs:
    + `missing Index field for Info format' is an error now, not warning;
    + if glob() returns only one file, check for its existence. glob() seems
      to simply return its argument if it doesn't contain any meta-characters;
    + skip any doc-base files that contain Version: field, for future changes;
    + ignore `two many arguments' error for `-i' and `-r' options;

  * Move debhelper to Build-Depends (lintian)
  * Remove one useless lintian override and add two new ones ;)
  * Bump Standards-Version to 3.7.2.

 -- Robert Luberda <robert@debian.org>  Wed, 11 Apr 2007 22:41:28 +0200

doc-base (0.7.23) unstable; urgency=low

  * Oops, the previous change caused dhelp warnings about trying to create its
    .dhelp files in nonexistent directories. Fixed that.

 -- Robert Luberda <robert@debian.org>  Fri, 30 Mar 2007 23:19:59 +0200

doc-base (0.7.22) unstable; urgency=medium

  * Show warnings about nonexistent files only when in verbose mode
    (closes: #409186, #366250).

 -- Robert Luberda <robert@debian.org>  Fri, 30 Mar 2007 21:53:26 +0200
